Name:           mlv
Version:        0.4 
Release:        0%{?dist}
Summary:        A simplified multimedia library in C for beginners.
Group:          System Environment/Libraries
License:        GPLv3
URL:            http://www-IGM.univ-mlv.fr/~boussica/mlv/index.html
Source0:        http://www-IGM.univ-mlv.fr/~boussica/mlv/depot/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel SDL_sound-devel SDL_ttf-devel SDL_gfx-devel glib2-devel doxygen automake autoconf

%description
The mlv library is a simplified multimedia libary.
The library permit to:
 - draw figures, text and boxed text,
 - display images,
 - plays musics,
 - get Keyboard and mouse event
 - get informations by prompt
This tools is a simplified interface of the SDL libraries.
If you are not a beginner, we recommend you to use the 
SDL libraries (sdl, sdl-gfx, sdl-sound,sdl-ttf) instead of
the mlv library.
The mlv library can be compiled for Linux, Macintosh 
and windows.
This package provide the runtime binary needed by the
execution of program using the mlv library.

%package devel
Summary:        A simplified multimedia library in C for beginners.
Group:          Development/Libraries
Requires: 	mlv = %{version}-%{release} 
Requires:       SDL-devel automake pkgconfig

%description devel
The mlv library is a simplified multimedia libary.
The library is perfect for beginners in C programming who
want to use graphic and sound effects.
The library permit to:
 - draw figures, text and boxed text,
 - display images,
 - plays musics,
 - get Keyboard and mouse event
 - get informations by prompt
This tools is a simplified interface of the SDL libraries.
If you are not a beginner, we recommend you to use the 
SDL libraries (sdl, sdl-gfx, sdl-sound,sdl-ttf) instead of
the mlv library.
The mlv library can be compiled for Linux, Macintosh 
and windows.
This package provide all the developpement infrastructure
of the mlv library.

%package static
Summary: Files needed to develop static MLV applications
Group: Development/Libraries
Requires: mlv-devel = %{version}-%{release} 

%description static
The mlv library is a simplified multimedia libary.
The library is perfect for beginners in C programming who
want to use graphic and sound effects.
The library permit to:
 - draw figures, text and boxed text,
 - display images,
 - plays musics,
 - get Keyboard and mouse event
 - get informations by prompt
This tools is a simplified interface of the SDL libraries.
If you are not a beginner, we recommend you to use the 
SDL libraries (sdl, sdl-gfx, sdl-sound,sdl-ttf) instead of
the mlv library.
The mlv library can be compiled for Linux, Macintosh 
and windows.
This package provide all the static libraries needed for developping 
static MLV appilcations.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*
%{_datadir}/MLV/data/font/DejaVuSerif-Bold.ttf

%files devel
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so
%{_libdir}/libMLV.la
%{_libdir}/pkgconfig/MLV.pc
%{_includedir}/MLV
%{_docdir}/mlv/examples/advanced/1_texts_and_boxes.c
%{_docdir}/mlv/examples/advanced/2_font.c
%{_docdir}/mlv/examples/advanced/3_music.c
%{_docdir}/mlv/examples/advanced/4_playlist.c
%{_docdir}/mlv/examples/advanced/5_image.c
%{_docdir}/mlv/examples/advanced/Garuda-Oblique.ttf
%{_docdir}/mlv/examples/advanced/Makefile
%{_docdir}/mlv/examples/advanced/fugue.wav
%{_docdir}/mlv/examples/advanced/upe_mlv.bmp
%{_docdir}/mlv/examples/beginner/1_hello_world.c
%{_docdir}/mlv/examples/beginner/2_figures.c
%{_docdir}/mlv/examples/beginner/3_random.c
%{_docdir}/mlv/examples/beginner/4_texts_and_boxes.c
%{_docdir}/mlv/examples/beginner/5_souris.c
%{_docdir}/mlv/examples/beginner/6_clavier.c
%{_docdir}/mlv/examples/beginner/7_prompt.c
%{_docdir}/mlv/examples/beginner/8_couleurs.c
%{_docdir}/mlv/examples/beginner/Makefile
%{_docdir}/mlv/examples/medium/1_clavier_evenement.c
%{_docdir}/mlv/examples/medium/2_souris_evenement.c
%{_docdir}/mlv/examples/medium/3_prompt_evenement.c
%{_docdir}/mlv/examples/medium/4_evenement.c
%{_docdir}/mlv/examples/medium/5_exit.c
%{_docdir}/mlv/examples/medium/6_color.c
%{_docdir}/mlv/examples/medium/Makefile
%{_docdir}/mlv/index.html
%{_docdir}/mlv/creer_paquet_mlv.html
%{_docdir}/mlv/tp5graph.pdf
%{_mandir}/man3/MLV_all.h.3.gz
%{_mandir}/man3/MLV_color.h.3.gz
%{_mandir}/man3/MLV_evenement.h.3.gz
%{_mandir}/man3/MLV_figures.h.3.gz
%{_mandir}/man3/MLV_image.h.3.gz
%{_mandir}/man3/MLV_keyboard.h.3.gz
%{_mandir}/man3/MLV_mouse.h.3.gz
%{_mandir}/man3/MLV_prompt.h.3.gz
%{_mandir}/man3/MLV_sound.h.3.gz
%{_mandir}/man3/MLV_text.h.3.gz
%{_mandir}/man3/MLV_time.h.3.gz
%{_mandir}/man3/MLV_random.h.3.gz
%{_mandir}/man3/MLV_window.h.3.gz


%files static
%defattr(-,root,root)
%{_libdir}/lib*.a 


%changelog
* Tue Feb 16 2010 A. Boussicault<boussica@univ-mlv.fr>, Marc Zipstein<marc.zipstein@univ-mlv.fr> 0.2-0
- Création de la librairie MLV

* Fri Feb 05 2010 A. Boussicault<boussica@univ-mlv.fr>, Marc Zipstein<marc.zipstein@univ-mlv.fr> 0.4-0
- Correction of MLV.pc. Now yoou can't use #include<MLV_all.h>.
-    Please use #include<MLV/MLV_all.h> instead of #inlcude<MLV_all.h>.
- Correction of a bad use of include in the examples.
- New example in the medium level : 6_color.c
- Complete link added in the html documentation of the library
- Add a new type MLV_Color, in replacement with Uint32
- Add MLV_draw_pixel function. This fucntion is the same as MLV_draw_point.
- The documentation of MLV_Evenement.h have been corrected.
- Correction of a bug in MLV_mouse_wait and MLV_keyboard_wait : the functions
-      don't wait any keyboard ou mouse event after the first one.
- Correction of a bug in MLV_mouse_wait, MLV_keyboard_wait and 
-      MLV_prompt_wait : The event queue was not flushed at the begining of
-      the function. These function returned a deprecated event coming from 
-      the precedent user actions.
- Add a news event functions : MLV_flush_event_queue() and MLV_wait_event()

